<ion-header>
  <ion-navbar color="ativoPurple">
    <ion-title>
      {{event.ds_evento}}
    </ion-title>
  </ion-navbar>

  <ion-toolbar color="ativoPurple" [ngClass]="{'boder-bottom-accent': !kits.length }">
    <ion-segment [(ngModel)]="segmentOptionSelected" mode="md" *ngIf="kits.length > 0">
      <ion-segment-button value="informacoes" (tap)="recalculatingFooter()">
        Infos
      </ion-segment-button>
      <ion-segment-button value="kit" (tap)="recalculatingFooter()">
        Kits
      </ion-segment-button>
      <ion-segment-button *ngIf="percurso" value="percurso" (tap)="recalculatingFooter()">
        Percurso
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content><!-- Start content -->
  <div [ngSwitch]="segmentOptionSelected"><!-- Start switch -->
    <div *ngSwitchCase="'informacoes'"><!-- Start switch case -->
      <div class="img-container">
        <img [src]="event.ds_url_imagem ? event.ds_url_imagem.img_banner_evento : '' ">
      </div>
      <ion-list><!-- Start info list -->
        <ion-item text-wrap>
          <h2 class="title">{{event.ds_evento}}</h2>
        </ion-item>
        <ion-grid padding>
          <ion-row>
            <ion-col col-12>
              <h4>Data</h4>
              <p>{{event.dt_evento | date : 'fullDate'}}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-6>
              <h4>Horário</h4>
              <p>{{event.hr_evento}}</p>
            </ion-col>
            <ion-col col-6>
              <h4>País</h4>
              <p>{{event.country_br}}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-6>
              <h4>Estado</h4>
              <p>{{event.state_br}}</p>
            </ion-col>
            <ion-col col-6>
              <h4>Cidade</h4>
              <p>{{event.city_br}}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-6>
              <h4>Modalidades</h4>
              <p>
                <span *ngFor="let mod of event.modalidades" >{{mod.nm_modalidade}} </span>
              </p>
            </ion-col>
          </ion-row>
        </ion-grid>
        <ion-grid padding>
          <ion-row>
            <ion-col col-12>
              <h4>Local</h4>
              <p>{{event.ds_local}}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-12>
              <h4>Encerramento das inscrições</h4>
              <p>{{event.dt_fim_inscricao | date : 'shortDate'}}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-12>
              <a [href]="event.ds_site ? event.ds_site.toLowerCase() : ''" target="_blank">
                <h4>Site</h4>
                <p class="site">{{event.ds_site}}</p>
              </a>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-4>
              <img src="./assets/images/doc.svg" style="max-width: 40%;">
            </ion-col>
            <ion-col col-8>
              <h4>Regulamento</h4>
              <p>visualizar regulamento geral</p>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-list><!-- End info list -->
    </div><!-- End switch case -->

    <ion-list *ngSwitchCase="'kit'"><!-- Start kit list -->
      <kit-to-buy-list *ngFor="let kit of kits" [kit]="kit"></kit-to-buy-list>
    </ion-list><!-- End kit list -->

    <div *ngSwitchCase="'percurso'"><!-- Start map -->
      <div class="map-show" *ngIf="urlSanitizada.changingThisBreaksApplicationSecurity != 'http://'">
        <iframe [src]="urlSanitizada" frameborder="0"></iframe>
      </div>
      <div class="em-breve" *ngIf="urlSanitizada.changingThisBreaksApplicationSecurity == 'http://'">
        <ion-title> Em Breve!</ion-title>
      </div>
    </div><!-- Start map -->
  </div><!-- End switch -->
</ion-content><!-- End content -->

<ion-footer *ngIf="(dates.start && today > dates.start) && (dates.end && today < dates.end) && (segmentOptionSelected != 'percurso')"><!-- Start footer checkout -->
  <ion-toolbar color="secondary" (tap)="goToWebModel()">
    <ion-title text-center class="btn-inscreva-se">INSCREVA-SE</ion-title>
  </ion-toolbar>
</ion-footer><!-- End footer checkout -->

<ion-footer *ngIf="segmentOptionSelected == 'percurso'"><!-- Start footer route -->
  <ion-toolbar color="primary-color-dark" no-padding color="ativoPurple">
    <ion-segment [(ngModel)]="percursoSelecionado" fab-center mode="md">
      <ion-segment-button
        *ngFor="let item of percursos"
        [value]="item.modalidade"
        (tap)=limpaUrl(item.mapa)>
      <ion-icon name="md-map"></ion-icon>
          {{item.modalidade}}
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-footer><!-- End footer route -->
